"{ Package: 'stx:goodies/monticello' }"

MCDoItParser subclass:#MCSystemCategoryParser
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Chunk Format'
!


!MCSystemCategoryParser class methodsFor:'as yet unclassified'!

pattern
	^ 'SystemOrganization*'
! !

!MCSystemCategoryParser methodsFor:'as yet unclassified'!

addDefinitionsTo: aCollection
	| definition |
	definition _ aCollection detect: [:ea | ea isOrganizationDefinition ] ifNone: [aCollection add: (MCOrganizationDefinition categories: #())].
	definition categories: (definition categories copyWith: self category).
!

category
	| tokens  |
	tokens _ Scanner new scanTokens: source.
	tokens size = 3 ifFalse: [self error: 'Unrecognized category definition'].
	^ tokens at: 3
! !

!MCSystemCategoryParser class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCSystemCategoryParser.st,v 1.1 2006-11-22 13:06:43 cg Exp $'
! !
